### Function

# Gcr secure_memory_is_secure

#### Declaration [src]

    gboolean
    gcr_secure_memory_is_secure (
      gpointer memory
    )

#### Description [src]

Check if a pointer is in non-pageable memory allocated by.

This function is not directly available to language bindings.

#### Parameters

`memory`

  Type: `gpointer`

  Pointer to check.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the memory is secure non-pageable memory allocated by the Gcr library or not.